@import ./colors.sass
@import ./fonts.sass

body
    font-family: 'Playfair Display', sans-serif
    font-size: 16px

@mixin font-s
    font-style: normal

.prelude
    height: 140vh
    background-image: url('../images/prelude.jpg')
    background-repeat: no-repeat
    background-size: cover
    color: $fifith-color

.container
    width: 1440px
    max-width: 100%
    padding: 0 80px
    box-sizing: border-box

.header
    display: flex
    align-items: center
    justify-content: space-between
    padding: 32px 0

.header__menu-icon
    width: 28px
    height: 22px
    padding: 3px 0

    span
        width: 20px
        height: 2px
        background: $fifith-color
        display: block
        margin: 4px

.header__logo
    font-family: 'Playfair Display', serif
    font-size: 28px

    i
     font-style: italic

.prelude-content__title
    font-family: 'Playfair Display', sans-serif
    font-size: 80px
    line-height: 1.1
    padding: 40px 0 40px
    font-weight: 700
    max-width: 704px

.prelude-content__subtitle
    font-family: 'Gilroy_fino'
    @include font-s
    font-weight: normal
    font-size: 32px
    line-height: 40px
    max-width: 459px
    color: $fifith-color

.slider-controls
    position: absolute
    margin-top: 640px

.slider-controls__next
    transform: rotate(180deg)
    margin-left: 17px

.slider-tracks
    display: flex

.slider-tracks__item
    width: 32px
    height: 4px
    background: $fifith-color
    opacity: 0.5
    border-radius: 10px
    cursor: pointer
    transition: .5s background, .5s opacity

.slider-tracks__item:hover
    background: $fifith-color
    opacity: 1

.slider-tracks__item:not(:last-child)
    margin-right: 8px

.slider-tracks__item--active
   opacity: 1

.prelude-holder
    position: absolute
    margin-top: 320px
    transform: translateY(-50%)

/*****************************************************/
 /* Seção modal */

.lado
    display: flex 

.pedidos
    width: 150px
    height: 100px
    color: red

.content-img
    width: 684px
    height: 764px
    margin-left: 80px
    margin-bottom: 12px

.prelude-holder2
    position: relative
    height: 12px
    bottom: 800px
    left: 120px

.menu-icon
    width: 28px
    height: 22px
    padding: 3px 0
    margin-top: 40px

.menu-icon span
    width: 20px
    height: 2px
    background: white
    display: block
    margin: 4px

.slider-tracks2
    display: flex
    margin-top: 150px

.slider-tracks__item2
    width: 32px
    height: 4px
    background: #FFFFFF
    opacity: 0.5
    border-radius: 10px
    cursor: pointer
    transition: .5s background, .5s opacity

.slider-tracks__item:hover2
    background:#FFFFFF
    opacity: 1

.slider-tracks__item2:not(:last-child)
    margin-right: 8px

.slider-tracks__item--active2
   opacity: 1

.content-img-text
    left: 120px
    font-family: 'Gilroy', sans-serif
    font-style: normal
    font-weight: 300
    font-size: 30px
    max-width: 459px
    line-height: 40px
    color: white

.content-img-title
    left: 120px
    font-style: normal
    font-weight: bold
    font-size: 70px
    line-height: 1.1
    max-width: 550px
    padding: 40px 0 24px
    color: white

.slider-controls2
    margin-top: 60px

.slider-controls__next2
    transform: rotate(180deg)
    margin-left: 17px
 

/* Formulário */
.section-form
    width: 784px
    height: 900px
    background-color: #FFFFFF

.fechamento-pedido__item--ativo
    opacity: 1
    color:#0B1D03
    margin-right: 5px
    margin-left: 50px
    font-family: 'Gilroy'
    font-style: normal
    font-size: 16px
    line-height: 26px

.fechamento-pedido__item
    color: gray
    opacity: 0.5
    cursor: pointer
    transition: .5s background, .5s opacity 
    margin-left: 5px
    margin-right: 5px
    font-family: 'Gilroy'
    font-style: normal
    font-size: 16px
    line-height: 26px

.fechamento-pedido__item:not(:last-child)
    margin-right: 5px

.fechamento-pedido__item:hover
    background: #ffff
    opacity: 1

.formulario
    display: inline-block
    margin-left: 48px
    margin-right: 80px

.input
    appearance: none
    width: 420px
    height: 32px
    border-radius: 4px
    margin-top: 14px
    outline-color: #bbb
    background-color: #FFFFFF
    border: 2px solid #0B1D03
    color: #969696
    padding: 14px
    font-family: 'Gilroy_fino'
    font-style: normal
    font-weight: 500
    font-size: 16px
    line-height: 28px

.textarea
    appearance: none
    resize: none
    width: 420px
    height: 160px
    border-radius: 4px
    margin-top: 14px
    outline-color: #bbb
    background-color: #FFFFFF
    border: 2px solid #0B1D03
    font-family: 'Gilroy_fino'
    font-style: normal
    font-weight: 500
    font-size: 16px
    line-height: 28px
    color: #969696
    padding: 14px

#placeholder-estilo::placeholder 
    padding-top: 24px
    padding-left: 28px
    color: #969696

#placeholder-text::placeholder
    padding-left: 28px

#placeholder-tel::placeholder
    padding-left: 28px

#placeholder-email::placeholder
    padding-left: 28px

#placeholder-endereco::placeholder
    padding-left: 28px

.input-submit
    appearance: none
    width: 452px
    height: 46px
    border-radius: 4px
    margin-top: 24px
    background-color: #0B1D03
    color: #FFFFFF
    font-family: 'Gilroy_fino'
    font-style: normal
    font-weight: 500
    font-size: 16px
    line-height: 28px
    cursor: pointer

.produtos
    position: absolute
    top: 0px
    left: -367px
    width: 300px
    height: 200px
    padding-left: 42px
    padding-bottom: 14px
    padding-right: 24px
    background-color: white

.bag
    cursor: pointer

.modal[open]
    border: 0
    margin: 1px 1px 1px 780px
    width: 600px
    height: 650px
    overflow: inherit

.modal::backdrop
   background: rgba(0, 0, 0, .7) 

.item-cafe
    width: 72px
    height: 85px
    margin-top: 19px
    margin-left: 19px

.seus-produtos
    color: #0B1D03
    font-family: 'Gilroy'
    font-style: normal
    font-weight: bold
    font-size: 22px
    line-height: 40px
    margin-top: 18px

.item-span2
    width: 290px
    height: 110px
    background: #F2F2F2
    margin-top: 8px
    margin-right: 19px
    display: flex

.item-span-p1
    font-family: 'Gilroy'
    font-style: normal
    font-weight: 500
    line-height: 26px
    letter-spacing: 0.04em
    color: black
    text-align: right
    font-size: 14px
    padding-top: 2px
    padding-top: 15px
    padding-left: 5px

.item-span-p2
    font-family: 'Gilroy'
    font-style: normal
    font-weight: bold
    color: black
    font-weight: bold
    font-size: 22px
    line-height: 40px
    padding-left: 5px


.item-span-p3
    font-family: 'Gilroy'
    font-style: normal
    font-weight: 500
    font-size: 14px
    line-height: 26px
    letter-spacing: 0.04em
    color: #A0996C
    padding-left: 5px

.close-modal
    width: 14px
    height: 14px
    position: absolute
    top: 22px
    right: 70px
    cursor: pointer

/*****************************************************Fim seção modal 

.section2
  display: flex  
  justify-content: center

.cafe img
  margin-top: 120px
  margin-left: 80px

.cafe-magico
  @include font-s
  font-weight: $font-w

  h2
    font-size: 56px
    line-height: 60px
    max-width: 581px
    margin-top: 124px
    margin-right: 80px
    margin-left: 155px

  p
    font-family: 'Gilroy', sans-serif
    font-size: 25px
    line-height: 40px
    max-width: 581px
    margin-top: 32px
    margin-right: 80px
    margin-left: 155px

.section3
    display: flex
    flex-direction: row
    justify-content: center

.muito-mais 
    @include font-s
    font-weight: $font-w
    
    h2
        font-size: 56px
        line-height: 60px
        max-width: 581px
        margin-top: 124px
        margin-right: 80px
        margin-left: 155px

    p
        font-family: 'Gilroy', sans-serif
        font-size: 25px
        line-height: 40px
        max-width: 581px
        margin-top: 32px
        margin-right: 80px
        margin-left: 155px

.xicara img
    margin-top: 144px
    margin-right: 80px


// Breakpoints
@mixin breakpoint($name) 
  @if $name == 'medium'
   @media (min-width: 768px) 
    @content
 
  @else if $name == 'large' 
    @media (min-width: 1600px)  
     @content
  

.variety_coffee
    display: flex
    justify-content: flex-start
    font-family: 'Playfair Display'
    @include font-s
    font-weight: $font-w
    color: $primary-color
    font-size: 33px
    line-height: 120%
    margin: 70px 13px 0px 10px
   
.variety_coffee  
   @include breakpoint(medium)  
    margin-top: 100px
    margin-left: 17px
    font-size: 56px

   @include breakpoint(large)  
    display: flex
    justify-content: flex-start
    font-family: 'Playfair Display' 
    @include font-s
    font-weight: $font-w
    font-size: 56px
    line-height: 60px
    color: $primary-color
    margin: 184px 0px 16px 80px
  
.list
    padding: 0
    display: flex
    flex-wrap: wrap
    justify-content: flex-start

.list
    @include breakpoint(medium)  
     display: flex 

    @include breakpoint(large)
     padding: 0
     display: flex
     flex-wrap: wrap
     justify-content: flex-start
 
.fit
    margin: 24px 15px 0px 10px

.fit
    @include breakpoint(medium) 
     margin-left: 15px
     margin-right: 15px
    
     @include breakpoint(large)
      margin-top: 48px
      margin-left: 80px   

.list-item
    width: 200%
    margin: 0px 1% 4% 0px
    padding: 0px 20px 39px 20px
    align-items: center
    text-align: center
    background: $secondary-color
    border-radius: 8px
    list-style: none
    justify-content: space-between
    box-sizing: border-box

    h3
        font-size: 20px
        line-height: 120%
        font-weight: 500
        padding-bottom: 24px
        font-family: 'Gilroy', sans-serif
        @include font-s
        color: $tertiary-color
        padding: 40px 15px 24px 15px

    img
        padding-bottom: 24px

    button
        width: 100%
        padding: 18px 25px 18px 26px
        font-size: 18px
        line-height: 140%
        background: $bg-color
        border: none
        border-radius: 4px
        color: $fifith-color
        font-family: 'Gilroy'
        @include font-s
        font-weight: bold
        margin-top: 24px

.list-item
 @include breakpoint(medium)
    width: 47%
    margin: 8px
    padding: 40px 27px
    box-sizing: border-box
    h3
        font-size: 20px
        line-height: 120%
        font-weight: 500
        padding: 30px 30px 24px 30px
    
    img
        padding: 0px 106px 0px 106
    
    button
        width: 90%
        height: 61px
        margin-top: 12px
        font-size: 18px
        line-height: 140%
        background: $tertiary-color

 @include breakpoint(large)
    width: 30%
    margin: 0px 1% 2% 0px
    align-items: center
    text-align: center
    background: $secondary-color
    border-radius: 8px
    list-style: none
    justify-content: space-between
    padding: 0px 32px 32px 32px
    box-sizing: border-box

    h3
        font-family: 'Gilroy', sans-serif
        font-style: normal
        font-weight: 500
        font-size: 24px
        line-height: 28px
        color: $tertiary-color
        padding: 40px 0px 48px 0px

    img
        padding-bottom: 32px

    button
        border: none
        border-radius: 4px
        background: $tertiary-color
        color: $fifith-color
        font-family: 'Gilroy'
        @include font-s
        font-weight: $font-w
        font-size: 20px
        line-height: 28px
        margin-top: 48px
        padding: 2px 21px

.preco1
    font-family: 'Gilroy', sans-serif
    @include font-s
    font-weight: $font-w
    font-size: 32px
    line-height: 40px
    color: $tertiary-color
    padding-right: 14px

.preco1
 @include breakpoint(large)
    font-family: 'Gilroy', sans-serif
    @include font-s 
    font-weight: $font-w
    font-size: 32px
    line-height: 40px
    color: $tertiary-color
    padding-right: 14px

.preco2
    font-family: 'Gilroy'
    @include font-s
    font-size: 24px
    line-height: 28px
    font-weight: 500
    color: $quaternary

.preco2
    @include breakpoint(large)
     font-family: 'Gilroy'
     @include font-s
     font-size: 24px
     line-height: 28px
     font-weight: 500
     color: $quaternary
    
.section4
    display: flex
    flex-wrap: wrap
    // justify-content:flex-start
    margin-top: 70px
    margin-left: 39px
    justify-content: flex-start

.sprite_div
   width: 50%

.icon  
    width: 30% 
    height: 30%
    box-sizing: border-box
  
.label_icon
    width: 30%
    font-family: Gilroy
    @include font-s
    font-weight: 500
    font-size: 10px
    line-height: 120%
    letter-spacing: 0.04em

.section5
    display: flex
    margin-top: 68px
    justify-content: center

.catalogo-cafes
    background-image: url('../images/catalogo-cafes.png')
    width: 704px
    height: 560px
    background-repeat: no-repeat
    margin: 120px 0 0 80px

    h2
        font-family: 'Playfair Display'
        font-weight: $font-w
        font-size: 44px
        line-height: 40px
        color: $fifith-color
        margin: 340px 40px 20px

    p
        font-family: 'Gilroy_fino'
        font-style: normal
        font-weight: 500
        font-size: 20px
        line-height: 26px
        letter-spacing: 0.04em
        color: $sixth-color
        max-width: 360px
        margin: 24px 40px 40px 40px
      
.acessorios
    background-image: url('../images/acessorios.png')
    width: 704px
    height: 560px
    background-repeat: no-repeat
    margin: 120px 80px 0 32px
   
    h2
        font-family: 'Playfair Display'
        font-weight: $font-w
        font-size: 44px
        line-height: 40px
        color: $fifith-color
        margin: 350px 40px 20px

    p
        font-family: 'Gilroy_fino'
        @include font-s  
        font-weight: 500
        font-size: 20px
        line-height: 26px
        letter-spacing: 0.04em
        color: $sixth-color
        margin: 24px 40px 40px 40px
        max-width: 370px


.section6
    display: flex
    justify-content: center

.encontre-loja
    font-weight: $font-w
    font-size: 20px
    line-height: 26px
    margin: 50px 0 0 80px

    h2
        font-family: 'Playfair Display'
        @include font-s
        font-weight: $font-w
        font-size: 46px
        line-height: 60px
        margin-top: 150px
        margin-bottom: 48px

    input
        width: 459px
        height: 76px
        border: 2px solid gray
        box-sizing: border-box
        border-radius: 4px
        font-family: 'Gilroy'
        font-style: normal
        font-weight: 500
        font-size: 20px
        line-height: 28px
        color: $quaternary

    textarea
        width: 949px
        height: 74px
        border: 2px solid gray
        box-sizing: border-box
        resize: none
        border-radius: 4px
        margin-left: 32px
        margin-right: 80px
        font-family: 'Gilroy'
        @include font-s
        font-weight: 500
        font-size: 20px
        line-height: 28px
        color: $quaternary

.ajuste_input
    background-image: url('../images/seta_invertida.png')
    background-repeat: no-repeat
    background-position: 409px
    background-size: 12px  

.text
    background-image: url('../images/lupa.png')
    background-repeat: no-repeat
    background-position: 898px
    background-size: 12px

.text::placeholder
    padding-top: 24px
    padding-left: 28px

.ajuste_input::placeholder
    width: 159px
    height: 28px
    padding-top: 24px
    padding-left: 28px

.mapa
    display: flex
    margin: 24px 80px 40px 80px
    justify-content: center

    img
        width: 1440px
        height: 512px

.mapa2
    margin: 1px 8px 40px 70px

.section8
    background: $secondary-color

    li
        list-style: none

    a
        text-decoration: none
        color: $bg-color

.section8_ajuste
     display: flex
     justify-content: space-between
     margin-left: 80px 
     margin-right: 80px
     margin-top: 40px
     padding-top: 56px
     padding-bottom: 116px

.footer_logo
     font-family: 'Playfair Display'
     @include font-s
     font-weight: $font-w
     font-size: 28px
     line-height: 28px

     i
      font-style: italic

.footer_li
     margin-top: 18px
     font-family: 'Gilroy'
     font-style: normal
     font-weight: normal

.footer_subtitle
     font-family: 'Gilroy'
     @include font-s
     font-weight: 500
     font-size: 20px
     line-height: 28px 

.designed_mentorama
    position: absolute
    margin-top: 232px
    margin-left: 550px
    margin-bottom: 16px
    font-family: 'Gilroy'
    @include font-s
    font-weight: 500
    font-size: 20px
    line-height: 28px

    img
        margin-left: 8px

    li
        display: inline-block

    img
        margin-top: 23px
        margin-right: 20px

 



 
